package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemSchoolmemberPendingListItemBindingImpl extends ItemSchoolmemberPendingListItemBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback41;
    @Nullable
    private final android.view.View.OnClickListener mCallback40;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemSchoolmemberPendingListItemBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 5, sIncludes, sViewsWithIds));
    }
    private ItemSchoolmemberPendingListItemBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (com.google.android.material.button.MaterialButton) bindings[3]
            , (android.widget.TextView) bindings[2]
            , (com.google.android.material.button.MaterialButton) bindings[4]
            , (de.hdodenhof.circleimageview.CircleImageView) bindings[1]
            );
        this.acceptIcon.setTag(null);
        this.itemClazzmemberText.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        this.rejectIcon.setTag(null);
        this.studentpicture.setTag(null);
        setRootTag(root);
        // listeners
        mCallback41 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback40 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.schoolMember == variableId) {
            setSchoolMember((com.ustadmobile.lib.db.entities.SchoolMemberWithPerson) variable);
        }
        else if (BR.presenter == variableId) {
            setPresenter((com.ustadmobile.core.controller.SchoolMemberListPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setSchoolMember(@Nullable com.ustadmobile.lib.db.entities.SchoolMemberWithPerson SchoolMember) {
        this.mSchoolMember = SchoolMember;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.schoolMember);
        super.requestRebind();
    }
    public void setPresenter(@Nullable com.ustadmobile.core.controller.SchoolMemberListPresenter Presenter) {
        this.mPresenter = Presenter;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.presenter);
        super.requestRebind();
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.SchoolMemberWithPerson schoolMember = mSchoolMember;
        java.lang.String schoolMemberPersonFullName = null;
        com.ustadmobile.core.controller.SchoolMemberListPresenter presenter = mPresenter;
        long schoolMemberSchoolMemberPersonUid = 0;
        com.ustadmobile.lib.db.entities.Person schoolMemberPerson = null;

        if ((dirtyFlags & 0x5L) != 0) {



                if (schoolMember != null) {
                    // read schoolMember.schoolMemberPersonUid
                    schoolMemberSchoolMemberPersonUid = schoolMember.getSchoolMemberPersonUid();
                    // read schoolMember.person
                    schoolMemberPerson = schoolMember.getPerson();
                }


                if (schoolMemberPerson != null) {
                    // read schoolMember.person.fullName()
                    schoolMemberPersonFullName = schoolMemberPerson.fullName();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x4L) != 0) {
            // api target 1

            this.acceptIcon.setOnClickListener(mCallback40);
            this.rejectIcon.setOnClickListener(mCallback41);
        }
        if ((dirtyFlags & 0x5L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemClazzmemberText, schoolMemberPersonFullName);
            com.ustadmobile.port.android.view.binding.PersonPictureBindingAdapterKt.setPersonPicture(this.studentpicture, schoolMemberSchoolMemberPersonUid, (java.lang.Boolean)null);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 2: {
                // localize variables for thread safety
                // schoolMember
                com.ustadmobile.lib.db.entities.SchoolMemberWithPerson schoolMember = mSchoolMember;
                // presenter != null
                boolean presenterJavaLangObjectNull = false;
                // presenter
                com.ustadmobile.core.controller.SchoolMemberListPresenter presenter = mPresenter;



                presenterJavaLangObjectNull = (presenter) != (null);
                if (presenterJavaLangObjectNull) {




                    presenter.handleClickPendingRequest(schoolMember, false);
                }
                break;
            }
            case 1: {
                // localize variables for thread safety
                // schoolMember
                com.ustadmobile.lib.db.entities.SchoolMemberWithPerson schoolMember = mSchoolMember;
                // presenter != null
                boolean presenterJavaLangObjectNull = false;
                // presenter
                com.ustadmobile.core.controller.SchoolMemberListPresenter presenter = mPresenter;



                presenterJavaLangObjectNull = (presenter) != (null);
                if (presenterJavaLangObjectNull) {




                    presenter.handleClickPendingRequest(schoolMember, true);
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): schoolMember
        flag 1 (0x2L): presenter
        flag 2 (0x3L): null
    flag mapping end*/
    //end
}